/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/*          EXIFPROBE - TIFF/JPEG/EXIF image file probe               */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* Copyright (C) 2002 by Duane H. Hesser. All rights reserved.        */
/*                                                                    */
/* See the file LICENSE.EXIFPROBE for terms of use.                   */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */
/* @(#) $Id: misc.h,v 1.2 2003/01/06 19:38:41 alex Exp $" */
/* =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- */

/* Miscellaneous definitions                                          */

#ifndef MISC_INCLUDED
#define MISC_INCLUDED

#define TIFF_MAGIC      0x2a
#define TIFF_INTEL      0x4949
#define TIFF_MOTOROLA   0x4d4d

#define IMAGETYPE_SIZE  (size_t)2
#define OFFSET_SIZE     (size_t)4

/* TIFF entry type id                                                 */
#define BYTE        1
#define ASCII       2
#define SHORT       3
#define LONG        4
#define RATIONAL    5
#define SBYTE       6
#define SSHORT      8
#define UNDEFINED   7
#define SLONG       9
#define FLOAT       11
#define SRATIONAL   10
#define DOUBLE      12

#endif
